<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1DefaultWorkQueue.html">DefaultWorkQueue</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::DefaultWorkQueue Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1DefaultWorkQueue.html">Ogre::DefaultWorkQueue</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#af981193d550a56ea146f7b3f544f1013">_processNextRequest</a>()</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html#ae6d0b2b1185ae9d48925a6b5a78fecfe">_registerThreadWithRenderSystem</a>()</td><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html">Ogre::DefaultWorkQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html#a087a56b1cd59c19193e8012a8dbcd3b3">_threadMain</a>()</td><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html">Ogre::DefaultWorkQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html#a087a56b1cd59c19193e8012a8dbcd3b3">_threadMain</a>()</td><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html">Ogre::DefaultWorkQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a0c50d7ab19de75a3e378ba46aa8fbf9c">abortAllRequests</a>()</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a634fdd65c89267fc6aeca8e8f6cf5446">abortRequest</a>(RequestID id)</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#ae8cf46d021a09310d1ab96aa1a2c0d08">abortRequestsByChannel</a>(uint16 channel)</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#ae56e676115ca423252d775fab3344823">addRequest</a>(uint16 channel, uint16 requestType, const Any &amp;rData, uint8 retryCount=0, bool forceSynchronous=false)</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a7fc21f1afa5edb2a919f8ba2febfb1a3">addRequestHandler</a>(uint16 channel, RequestHandler *rh)</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a2a4b95cd3f120a8ea585d857f8af6c6e">addRequestWithRID</a>(RequestID rid, uint16 channel, uint16 requestType, const Any &amp;rData, uint8 retryCount)</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a9e338627cd72591048b9de5a5f4f9770">addResponseHandler</a>(uint16 channel, ResponseHandler *rh)</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#a49e33316b1140dca7d9aa81e5b47d49b">ChannelMap</a> typedef</td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html#ae7eda52456d3ff9beb00c0d75c51e431">DefaultWorkQueue</a>(const String &amp;name=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html">Ogre::DefaultWorkQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html#ae7eda52456d3ff9beb00c0d75c51e431">DefaultWorkQueue</a>(const String &amp;name=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html">Ogre::DefaultWorkQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a37ce9177edaf6d160ea4da09a4cf2546">DefaultWorkQueueBase</a>(const String &amp;name=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#a9a550b2e870c3cf2fb7dc6732ceed3e5">getChannel</a>(const String &amp;channelName)</td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#ab910772c931560351bee737c8f6b53a0">getName</a>() const </td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a64c14e98257e6bda2435912ba3f84fc7">getRequestsAccepted</a>() const </td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a415418e6732bed1a9ab760050fd37712">getResponseProcessingTimeLimit</a>() const </td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#adc7009c4db835d2b1d00a0fc05e92417">getWorkersCanAccessRenderSystem</a>() const </td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a4faaffe2b5661af2f7ea351fb01bbea9">getWorkerThreadCount</a>() const </td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a76a6c29ee6c7d91f4c4f0fbd5738f184">isPaused</a>() const </td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a855d8e4410005c1c33fa1c399021667d">isShuttingDown</a>() const </td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#aa291e06e7f5d7e167e4417c63d48a93f">mAcceptRequests</a></td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#a4e043b97536f11e70189d8184fbaa7f8">mChannelMap</a></td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#af097c9e8aa35a894a3a1144b16e89c88">mIsRunning</a></td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a5b04be635a457d43eba4308702783323">mName</a></td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#ad2ff94d54fe961e1e59558f361093b65">mNextChannel</a></td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html#a175e87b3ae571d5bc408c18dfd41697f">mNumThreadsRegisteredWithRS</a></td><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html">Ogre::DefaultWorkQueue</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a1d02ca6b211ea6e87de25e6003a6dcaf">mPaused</a></td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a4f03dc006c5e89c233dd0c06ae343f13">mProcessQueue</a></td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html#a6b20f6bf6ca3438e03fb27008f436e07">mRegisteredThreads</a></td><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html">Ogre::DefaultWorkQueue</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a105accd5cd88eeab80dcf3bcaa93a756">mRequestCount</a></td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#acf77730bbb20b79f60fbcb26906c165a">mRequestHandlers</a></td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a6af06d193129b18b02967c2db64d06a8">mRequestQueue</a></td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#abd6a1a72dd9fb47da33cf2e4b40c1736">mResponseHandlers</a></td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a08a0a4228b167ec236d5fbf63eefa11c">mResponseQueue</a></td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#ad855d24711ae89c19739e105b278ce13">mResposeTimeLimitMS</a></td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#aa8e42b3888b8f39e5393789ee9de2c45">mShuttingDown</a></td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html#aa679d2eb5438412063752c369b686285">mTaskGroup</a></td><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html">Ogre::DefaultWorkQueue</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html#a16c7919d8f7ac3177d55b9facce6ab16">mTaskScheduler</a></td><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html">Ogre::DefaultWorkQueue</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a1b541ce363355b29709065e4402c4cc3">mWorkerFunc</a></td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a9d869bc3efeccd2210c9eeb6e7b98c13">mWorkerRenderSystemAccess</a></td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#acb6b9461db930de8fd0f1cd10a92fef7">mWorkerThreadCount</a></td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html#a41280ef2a8b1b569e41bd775964562cd">notifyThreadRegistered</a>()</td><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html">Ogre::DefaultWorkQueue</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html#ad9f8a3b918c91e73e3a1ebe48b6f3bfd">notifyWorkers</a>()</td><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html">Ogre::DefaultWorkQueue</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html#ad9f8a3b918c91e73e3a1ebe48b6f3bfd">notifyWorkers</a>()</td><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html">Ogre::DefaultWorkQueue</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html#a2fc1c736f0ca78ce964b787a6dfb039c">OGRE_MUTEX</a>(mRegisterRSMutex)</td><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html">Ogre::DefaultWorkQueue</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#af52a3a1cabe66a44bec006490f6426ea">OGRE_RW_MUTEX</a>(mRequestHandlerMutex)</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a9d75f09aa26c093fc7948a362e232d46">processRequest</a>(Request *r)</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a3a476f2140a4f94fa72127aac2c826ac">processRequestResponse</a>(Request *r, bool synchronous)</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a1e98c92aa078bc945431f0a368d3790d">processResponse</a>(Response *r)</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a09a2d91f22689b5aad7967cfb799c63e">processResponses</a>()</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a1f0847f5d8a4f9e4703a390acacfaa84">removeRequestHandler</a>(uint16 channel, RequestHandler *rh)</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#ad8b1cec781199a65accf0024acc2c18a">removeResponseHandler</a>(uint16 channel, ResponseHandler *rh)</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a3c0e76f0b22dcfd18977998f572ff71c">RequestHandlerHolderPtr</a> typedef</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a8bb1fe1911740f08c88b227175a8f242">RequestHandlerList</a> typedef</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#ae8772337dbdd3d55276776a0af69fa64">RequestHandlerListByChannel</a> typedef</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#a1908257e726af6caa80f1a6cd5682d76">RequestID</a> typedef</td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a1332289260fd3c38bc31be1e7346346c">RequestQueue</a> typedef</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a833a1a0e5e773052dbd8bdcd3dcf9929">ResponseHandlerList</a> typedef</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a7ca18891b4c7ea5eafcb10da2dddb79b">ResponseHandlerListByChannel</a> typedef</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a2e79d9e50dba8e011013abe3373dfe96">ResponseQueue</a> typedef</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a7f471c07b8f0fdd002d6c299750a1578">setPaused</a>(bool pause)</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a291e7c92efb374ec208c680375edd2ce">setRequestsAccepted</a>(bool accept)</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a7b7a4119647b82187af2341d96f51e3b">setResponseProcessingTimeLimit</a>(unsigned long ms)</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a59458ab8807c99c478fe0a62c750c31d">setWorkersCanAccessRenderSystem</a>(bool access)</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a7edecae3229cfb6616774688070eeffa">setWorkerThreadCount</a>(size_t c)</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html#a74aec1a66a9d5a5639a62ed33747eb76">shutdown</a>()</td><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html">Ogre::DefaultWorkQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html#a74aec1a66a9d5a5639a62ed33747eb76">shutdown</a>()</td><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html">Ogre::DefaultWorkQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html#a1a0f33724027da3501c0c8b8182480cf">startup</a>(bool forceRestart=true)</td><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html">Ogre::DefaultWorkQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html#a1a0f33724027da3501c0c8b8182480cf">startup</a>(bool forceRestart=true)</td><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html">Ogre::DefaultWorkQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html#a3da0f2c5ff208bba24f38d3eb40362e2">waitForNextRequest</a>()</td><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html">Ogre::DefaultWorkQueue</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#a522d959bdec37026c5ad9eb2e2b189cc">WorkQueue</a>()</td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html#a54f438bd00567fe192bfadcac50b7317">~DefaultWorkQueue</a>()</td><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html">Ogre::DefaultWorkQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html#a54f438bd00567fe192bfadcac50b7317">~DefaultWorkQueue</a>()</td><td><a class="el" href="classOgre_1_1DefaultWorkQueue.html">Ogre::DefaultWorkQueue</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html#a2e286e7a9a4d6b0818127510e98f0cc4">~DefaultWorkQueueBase</a>()</td><td><a class="el" href="classOgre_1_1DefaultWorkQueueBase.html">Ogre::DefaultWorkQueueBase</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue.html#a2e7a64f2d114bf2828355e83e43f8172">~WorkQueue</a>()</td><td><a class="el" href="classOgre_1_1WorkQueue.html">Ogre::WorkQueue</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:10
</p>
</body>
</html>
